org.apache.ignite.internal.processors.cache.database

## Interface CacheDataRow

All Superinterfaces:
  CacheSearchRow

All Known Implementing Classes:
  CacheDataRowAdapter

    public interface CacheDataRow
    extends CacheSearchRow

Cache data row.

### Method Summary

Methods
`int` `cacheId()`
`long` `expireTime()`
`void` `key(KeyCacheObject key)`
`void` `link(long link)`
`int` `partition()`
`CacheObject` `value()`
`GridCacheVersion` `version()`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.database.CacheSearchRow

`hash, key, link`

### Method Detail

#### value

    CacheObject value()

Returns:
  Cache value.

#### version

    GridCacheVersion version()

Returns:
  Cache entry version.

#### cacheId

    int cacheId()

Returns:
  Cache id. Stored only if memory policy with configured per-page eviction is used.

#### expireTime

    long expireTime()

Returns:
  Expire time.

#### partition

    int partition()

Returns:
  Partition for this key.

#### link

    void link(long link)

Parameters:
  `link` - Link for this row.

#### key

    void key(KeyCacheObject key)

Parameters:
  `key` - Key.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017